# ParaView

User's Manual (Abridged)

## Command-Line Arguments

The following is a list of options available when running ParaView from the command line. When two options are listed, separated by a comma, either of them can be used to achieve the specified result. Unless otherwise specified, all command-line options are used on the client program. Following the list of command-line options is a set of environment variables ParaView recognizes.

- --data : Load the specified data file into ParaView (--data=data_file).

- --disable-registry, -dr : Launch ParaView in its default state; do not load any preferences saved in ParaView’s registry file.

- --help, /? : Display a list of the command-line arguments and their descriptions.

- --version, -V : Display ParaView’s version number, and then exit.

- --server, -s : Tell the client process where to connect to the server. The default is ‑‑server =localhost. This command-line option is used on the client.

- --client-host, -ch : Tell the server process(es) where to connect to the client. The default is ‑‑client-host=localhost. This command-line option is used on the server(s).

- --server-port, -sp : Specify the port to use in establishing a connection between the client and the server. The default is --server-port=11111. If used, this argument must be specified on both the client and the server command lines, and the port numbers must match.

- --data-server-port, -dsp : Specify the port to use in establishing a connection between the client and the data server. The default is --data-server-port=11111. If used, this argument must be specified on both the client and the data server command lines, and the port numbers must match.

- --render-server-port, -rsp : Specify the port to use in establishing a connection between the client and the render server. The default is --render-server-port=22221. If used, this argument must be specified on both the client and the render server command lines, and the port numbers must match.

- --reverse-connection, -rc : Cause the data and render servers to connect to the client. When using this option, the client, data server, and render server (if used) must be started with this command-line argument, and you should start the client before starting either server.

- --connect-id : Using a connect ID is a security feature in client-server mode. To use this feature, pass this command-line argument with the same ID number to the client and server(s). If you do not pass the same ID number, the server(s) will be shut down.

- --machines, -m : Use this command-line argument to pass in the network configuration file for the render server. See section Error: Reference source not found for a description of this file.

- --stereo : Enable stereo rendering in ParaView.

- --stereo-type: Set the stereo rendering type. Options are:

  - Crystal Eyes

  - Red-Blue

  - Interlaced ( Default )

  - Dresden

  - Anaglyph

  - Checkerboard

- --tile-dimensions-x, -tdx : Specify the number of tiles in the horizontal direction of the tiled display (‑‑tile‑dimensions-x=number_of_tiles). This value defaults to 0. To use this option, you must be running in client/server or client/data server/render server mode, and this option must be specified on the client command line. Setting this option to a value greater than 0 will enable the tiled display. If this argument is set to a value greater than 0 and -tdy (see below) is not set, then -tdy will default to 1.

- --tile-dimensions-y, -tdy : Specify the number of tiles in the vertical direction of the tiled display (‑‑tile‑dimensions-y=number_of_tiles). This value defaults to 0. To use this option, you must be running in client/server or client/data server/render server mode, and this option must be specified on the client command line. Setting this option to a value greater than 0 will enable the tiled display. If this argument is set to a value greater than 0 and -tdx (see above) is not set, then -tdx will default to 1.

- --tile-mullion-x, -tmx : Specify the spacing (in pixels) between columns in tiled display images.

- --tile-mullion-y, -tmy : Specify the spacing (in pixels) between rows in tiled display images.

- --use-offscreen-rendering : Use offscreen rendering on the satellite processes. On unix platforms, software rendering or mangled Mesa must be used with this option.

- --disable-composite, -dc : Use this command-line option if the data server does not have rendering resources and you are not using a render server. All the rendering will then be done on the client.

This is an abridged version of the ParaView User's Manual. For a regularly updated version of the manual, refer to the ParaView Wiki (Manual)